# nucleus_client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1
- Package version: 0.7.1
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import nucleus_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import nucleus_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import nucleus_client
from nucleus_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
configuration = nucleus_client.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'
# Configure API key authorization: jwt
configuration = nucleus_client.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nucleus_client.DefaultApi(nucleus_client.ApiClient(configuration))
client_code = 'client_code_example' # str | 

try:
    # Reactivates a client by client code
    api_instance.activate_client(client_code)
except ApiException as e:
    print("Exception when calling DefaultApi->activate_client: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.gravitate-nucleus.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**activate_client**](docs/DefaultApi.md#activate_client) | **POST** /clients/activate/code-{client_code} | Reactivates a client by client code
*DefaultApi* | [**activate_user**](docs/DefaultApi.md#activate_user) | **POST** /user-activations/{activation_key} | Activates a user
*DefaultApi* | [**add_api_key**](docs/DefaultApi.md#add_api_key) | **POST** /api-keys | Add an API user
*DefaultApi* | [**add_block_type**](docs/DefaultApi.md#add_block_type) | **POST** /block-types | Add a new block type
*DefaultApi* | [**add_client**](docs/DefaultApi.md#add_client) | **POST** /clients | Add new client
*DefaultApi* | [**add_dataset**](docs/DefaultApi.md#add_dataset) | **POST** /datasets | Add a new dataset
*DefaultApi* | [**add_download_request**](docs/DefaultApi.md#add_download_request) | **POST** /download-requests | Adds a new (pending) download request
*DefaultApi* | [**add_entity_batch**](docs/DefaultApi.md#add_entity_batch) | **POST** /entity-batches | Adds a new entity batch, and queues a task to process it
*DefaultApi* | [**add_full_page**](docs/DefaultApi.md#add_full_page) | **POST** /pages/full | Creates a page without removing blocks, widgets, or block_order attributes
*DefaultApi* | [**add_geodata**](docs/DefaultApi.md#add_geodata) | **POST** /geodata | Adds a new geo mapping
*DefaultApi* | [**add_goal**](docs/DefaultApi.md#add_goal) | **POST** /goals | Adds a new goal
*DefaultApi* | [**add_higher_logic_activity**](docs/DefaultApi.md#add_higher_logic_activity) | **POST** /callbacks/higher-logic | Higher Logic callback
*DefaultApi* | [**add_integration**](docs/DefaultApi.md#add_integration) | **POST** /integrations | Adds a new integration
*DefaultApi* | [**add_integration_type**](docs/DefaultApi.md#add_integration_type) | **POST** /integration-types | Add a new integration type
*DefaultApi* | [**add_page**](docs/DefaultApi.md#add_page) | **POST** /pages | Creates a page from a page template
*DefaultApi* | [**add_page_template**](docs/DefaultApi.md#add_page_template) | **POST** /page-templates | Add a new page template
*DefaultApi* | [**add_partner_batch**](docs/DefaultApi.md#add_partner_batch) | **POST** /entity-batches/partner-batches | Adds a new partner batch, and queues a task to process it
*DefaultApi* | [**add_password_reset_request**](docs/DefaultApi.md#add_password_reset_request) | **POST** /password-reset-requests | Creates a new request to reset a user&#39;s password
*DefaultApi* | [**add_role**](docs/DefaultApi.md#add_role) | **POST** /roles | Adds a new role
*DefaultApi* | [**add_role_permission**](docs/DefaultApi.md#add_role_permission) | **POST** /role-permissions | Adds a new permission to a role
*DefaultApi* | [**add_term**](docs/DefaultApi.md#add_term) | **POST** /terms | Adds a new term
*DefaultApi* | [**add_user**](docs/DefaultApi.md#add_user) | **POST** /users | Adds a new user
*DefaultApi* | [**add_user_0**](docs/DefaultApi.md#add_user_0) | **POST** /users/admin-notify | Notifies administrator that user has been added or deleted
*DefaultApi* | [**add_user_role**](docs/DefaultApi.md#add_user_role) | **POST** /user-roles | Add a user to a role
*DefaultApi* | [**add_view**](docs/DefaultApi.md#add_view) | **POST** /views | Adds a new view
*DefaultApi* | [**add_widget_type**](docs/DefaultApi.md#add_widget_type) | **POST** /widget-types | Adds a new widget type
*DefaultApi* | [**change_password**](docs/DefaultApi.md#change_password) | **POST** /password-changes/{user_id} | Changes a users password
*DefaultApi* | [**cleanup_dataset_segments**](docs/DefaultApi.md#cleanup_dataset_segments) | **GET** /admin/maintenance/cleanup-dataset-segments | Cleanup old segments for a dataset
*DefaultApi* | [**create_client_package**](docs/DefaultApi.md#create_client_package) | **POST** /client-packages/create | Creates a new client package
*DefaultApi* | [**delete_activity_by_key**](docs/DefaultApi.md#delete_activity_by_key) | **DELETE** /activities/external-key-{external_key} | Hard delete an activity by external key
*DefaultApi* | [**delete_api_key**](docs/DefaultApi.md#delete_api_key) | **DELETE** /api-keys/{user_id} | Deletes an API user by ID
*DefaultApi* | [**delete_block_type**](docs/DefaultApi.md#delete_block_type) | **DELETE** /block-types/{block_type_id} | Deletes a block type by ID
*DefaultApi* | [**delete_client**](docs/DefaultApi.md#delete_client) | **DELETE** /clients/{client_id} | Deletes a client by ID
*DefaultApi* | [**delete_dataset**](docs/DefaultApi.md#delete_dataset) | **DELETE** /datasets/{dataset_id} | Deletes a dataset by ID
*DefaultApi* | [**delete_goal**](docs/DefaultApi.md#delete_goal) | **DELETE** /goals/delete-id-{goal_id} | Deletes a goal by id
*DefaultApi* | [**delete_integration**](docs/DefaultApi.md#delete_integration) | **DELETE** /integrations/{integration_id} | Deletes an integration by ID
*DefaultApi* | [**delete_page**](docs/DefaultApi.md#delete_page) | **DELETE** /pages/{page_id} | Deletes a page by ID
*DefaultApi* | [**delete_page_preference**](docs/DefaultApi.md#delete_page_preference) | **DELETE** /page-preferences/page-id-{page_id} | Deletes page preferences for the authenticated user
*DefaultApi* | [**delete_page_template**](docs/DefaultApi.md#delete_page_template) | **DELETE** /page-templates/{page_template_id} | Deletes a page template by ID
*DefaultApi* | [**delete_page_template_by_slug**](docs/DefaultApi.md#delete_page_template_by_slug) | **DELETE** /page-templates/slug-{slug} | Deletes all page templates with the specified slug
*DefaultApi* | [**delete_role**](docs/DefaultApi.md#delete_role) | **DELETE** /roles/{role_id} | Deletes a role by ID
*DefaultApi* | [**delete_role_permission**](docs/DefaultApi.md#delete_role_permission) | **DELETE** /role-permissions/{role_permission_id} | Deletes a permission for a specific role by ID
*DefaultApi* | [**delete_schema**](docs/DefaultApi.md#delete_schema) | **DELETE** /schemas/{client_id} | Deletes the schema associated with an activity       Responses:          204: Schema was successfully deleted
*DefaultApi* | [**delete_term**](docs/DefaultApi.md#delete_term) | **DELETE** /terms/delete-id-{term_id} | Deletes a term by ID
*DefaultApi* | [**delete_user**](docs/DefaultApi.md#delete_user) | **DELETE** /users/delete-id-{user_id} | Deletes an active user by ID
*DefaultApi* | [**delete_user_role**](docs/DefaultApi.md#delete_user_role) | **DELETE** /user-roles/{user_id} | Deletes a user from a role by user ID
*DefaultApi* | [**delete_widget_type**](docs/DefaultApi.md#delete_widget_type) | **DELETE** /widget-types/{widget_type_id} | Deletes an existing widget type
*DefaultApi* | [**get_api_key**](docs/DefaultApi.md#get_api_key) | **GET** /api-keys/{user_id} | Get an API user by ID
*DefaultApi* | [**get_block_type**](docs/DefaultApi.md#get_block_type) | **GET** /block-types/{block_type_id} | Get a block type by ID
*DefaultApi* | [**get_block_type_by_name**](docs/DefaultApi.md#get_block_type_by_name) | **GET** /block-types/name-{block_type_name} | Get a block type by name
*DefaultApi* | [**get_client**](docs/DefaultApi.md#get_client) | **GET** /clients/{client_id} | Get client by ID
*DefaultApi* | [**get_client_by_code**](docs/DefaultApi.md#get_client_by_code) | **GET** /clients/code-{client_code} | Gets a client by client code
*DefaultApi* | [**get_dataset**](docs/DefaultApi.md#get_dataset) | **GET** /datasets/{dataset_id} | Get a dataset by ID
*DefaultApi* | [**get_dataset_by_name**](docs/DefaultApi.md#get_dataset_by_name) | **GET** /datasets/name-{dataset_name} | Get a dataset by name
*DefaultApi* | [**get_dataset_by_slug**](docs/DefaultApi.md#get_dataset_by_slug) | **GET** /datasets/slug-{dataset_slug} | Get a dataset by slug
*DefaultApi* | [**get_download**](docs/DefaultApi.md#get_download) | **GET** /downloads/{download_id} | Gets data for a completed download
*DefaultApi* | [**get_download_request**](docs/DefaultApi.md#get_download_request) | **GET** /download-requests/{download_id} | Gets a download request by id
*DefaultApi* | [**get_entity_batch**](docs/DefaultApi.md#get_entity_batch) | **GET** /entity-batches/{batch_id} | Gets an entity batch by id
*DefaultApi* | [**get_entity_batch_health**](docs/DefaultApi.md#get_entity_batch_health) | **GET** /admin/entity-batches/health | Gets a health summary of processed entity batches
*DefaultApi* | [**get_filter_values**](docs/DefaultApi.md#get_filter_values) | **POST** /data-views/filter-values | Retrieves a list of possible values for a given set of dimensions
*DefaultApi* | [**get_goal_by_goal**](docs/DefaultApi.md#get_goal_by_goal) | **GET** /goals/id-{goal} | Gets a goal by id
*DefaultApi* | [**get_integration**](docs/DefaultApi.md#get_integration) | **GET** /integrations/{integration_id} | Gets an integration by ID
*DefaultApi* | [**get_integration_type**](docs/DefaultApi.md#get_integration_type) | **GET** /integration-types/{integration_type_id} | Get integration type by id
*DefaultApi* | [**get_integration_type_by_name**](docs/DefaultApi.md#get_integration_type_by_name) | **GET** /integration-types/name-{integration_type_name} | Get integration type by name
*DefaultApi* | [**get_jobs_overview**](docs/DefaultApi.md#get_jobs_overview) | **GET** /admin/jobs/overview | Gets an overview of data processing jobs
*DefaultApi* | [**get_page**](docs/DefaultApi.md#get_page) | **GET** /pages/{page_id} | Gets a page by ID
*DefaultApi* | [**get_page_by_slug**](docs/DefaultApi.md#get_page_by_slug) | **GET** /pages/slug-{slug} | Gets a page by slug
*DefaultApi* | [**get_page_preference**](docs/DefaultApi.md#get_page_preference) | **GET** /page-preferences/page-id-{page_id} | Gets page preferences for the authenticated user
*DefaultApi* | [**get_page_template**](docs/DefaultApi.md#get_page_template) | **GET** /page-templates/{page_template_id} | Gets a page template by ID
*DefaultApi* | [**get_page_template_by_slug**](docs/DefaultApi.md#get_page_template_by_slug) | **GET** /page-templates/slug-{slug} | Gets a page template by slug
*DefaultApi* | [**get_password_reset_by_key**](docs/DefaultApi.md#get_password_reset_by_key) | **GET** /password-resets/{reset_key} | Gets a user by the reset key associated with them
*DefaultApi* | [**get_role**](docs/DefaultApi.md#get_role) | **GET** /roles/{role_id} | Gets a role by ID
*DefaultApi* | [**get_role_by_name**](docs/DefaultApi.md#get_role_by_name) | **GET** /roles/name-{role_name} | Gets a role by name
*DefaultApi* | [**get_role_by_slug**](docs/DefaultApi.md#get_role_by_slug) | **GET** /roles/slug-{role_slug} | Gets a role slug
*DefaultApi* | [**get_role_permission**](docs/DefaultApi.md#get_role_permission) | **GET** /role-permissions/{role_permission_id} | Gets a permission for a specific role by ID
*DefaultApi* | [**get_schema**](docs/DefaultApi.md#get_schema) | **GET** /schemas/{schema_id} | Get a schema by ID
*DefaultApi* | [**get_term_by_term**](docs/DefaultApi.md#get_term_by_term) | **GET** /terms/term-{term} | Gets a term by term
*DefaultApi* | [**get_user**](docs/DefaultApi.md#get_user) | **GET** /users/{user_id} | Gets a user by ID
*DefaultApi* | [**get_user_activation_by_key**](docs/DefaultApi.md#get_user_activation_by_key) | **GET** /user-activations/{activation_key} | Gets the user associated with an activation key
*DefaultApi* | [**get_user_by_email**](docs/DefaultApi.md#get_user_by_email) | **GET** /users/email-{email} | Gets a user by email address
*DefaultApi* | [**get_view**](docs/DefaultApi.md#get_view) | **GET** /views/{view_id} | Get a view by ID
*DefaultApi* | [**get_view_by_keys**](docs/DefaultApi.md#get_view_by_keys) | **GET** /views/view-hashes-{hash_keys} | Get a list of views by hash key
*DefaultApi* | [**get_widget_type**](docs/DefaultApi.md#get_widget_type) | **GET** /widget-types/{widget_type_id} | Get widget type by ID
*DefaultApi* | [**get_widget_type_by_name**](docs/DefaultApi.md#get_widget_type_by_name) | **GET** /widget-types/name-{widget_type_name} | Get widget type by name
*DefaultApi* | [**list_activities**](docs/DefaultApi.md#list_activities) | **GET** /activities | Get activities from a dataset in JSON or CSV
*DefaultApi* | [**list_api_keys**](docs/DefaultApi.md#list_api_keys) | **GET** /api-keys | List all API users associated with a client
*DefaultApi* | [**list_block_types**](docs/DefaultApi.md#list_block_types) | **GET** /block-types | List all block types
*DefaultApi* | [**list_client_packages**](docs/DefaultApi.md#list_client_packages) | **GET** /client-packages | List available client packages
*DefaultApi* | [**list_client_settings**](docs/DefaultApi.md#list_client_settings) | **GET** /client-settings | List all client-specific settings
*DefaultApi* | [**list_clients**](docs/DefaultApi.md#list_clients) | **GET** /clients | List all clients
*DefaultApi* | [**list_completed_jobs**](docs/DefaultApi.md#list_completed_jobs) | **GET** /admin/jobs/completed | Gets a list of completed data processing jobs
*DefaultApi* | [**list_datasets**](docs/DefaultApi.md#list_datasets) | **GET** /datasets | List all datasets associated with a client
*DefaultApi* | [**list_download_requests**](docs/DefaultApi.md#list_download_requests) | **GET** /download-requests | Gets all unexpired download requests for the authenticated user
*DefaultApi* | [**list_entity_batches**](docs/DefaultApi.md#list_entity_batches) | **GET** /entity-batches | List all entity batches associated with a client
*DefaultApi* | [**list_geodata**](docs/DefaultApi.md#list_geodata) | **GET** /geodata | List all geodata
*DefaultApi* | [**list_goals**](docs/DefaultApi.md#list_goals) | **GET** /goals | List all goals associated with a client
*DefaultApi* | [**list_incomplete_jobs**](docs/DefaultApi.md#list_incomplete_jobs) | **GET** /admin/jobs/incomplete | Gets a list of incomplete data processing jobs
*DefaultApi* | [**list_integration_types**](docs/DefaultApi.md#list_integration_types) | **GET** /integration-types | List all integration types
*DefaultApi* | [**list_integrations**](docs/DefaultApi.md#list_integrations) | **GET** /integrations | List all integrations associated with a client
*DefaultApi* | [**list_maintenance**](docs/DefaultApi.md#list_maintenance) | **GET** /admin/maintenance/delete-datasource | Cleanup for a dataset      Responses:          202: Delete task was successfully queued
*DefaultApi* | [**list_page_preferences**](docs/DefaultApi.md#list_page_preferences) | **GET** /page-preferences | List all page preferences associated with a client for the authenticated user
*DefaultApi* | [**list_page_templates**](docs/DefaultApi.md#list_page_templates) | **GET** /page-templates | List all page templates
*DefaultApi* | [**list_pages**](docs/DefaultApi.md#list_pages) | **GET** /pages | List all pages associated with a client
*DefaultApi* | [**list_pages_by_page_template**](docs/DefaultApi.md#list_pages_by_page_template) | **GET** /pages/page-template-slug-{page_template_slug} | List all pages associated with a particular page template and optionally client
*DefaultApi* | [**list_role_permissions**](docs/DefaultApi.md#list_role_permissions) | **GET** /role-permissions | List all permissions for a specific role
*DefaultApi* | [**list_roles**](docs/DefaultApi.md#list_roles) | **GET** /roles | List roles associated with a client
*DefaultApi* | [**list_schemas**](docs/DefaultApi.md#list_schemas) | **GET** /schemas | List all schemas associated with a client
*DefaultApi* | [**list_terms**](docs/DefaultApi.md#list_terms) | **GET** /terms | List all terms associated with a client
*DefaultApi* | [**list_user_roles**](docs/DefaultApi.md#list_user_roles) | **GET** /user-roles/{user_id} | List all roles for a specific user
*DefaultApi* | [**list_users**](docs/DefaultApi.md#list_users) | **GET** /users | List active users associated with a client
*DefaultApi* | [**list_views**](docs/DefaultApi.md#list_views) | **GET** /views | List metadata for all views associated with a client
*DefaultApi* | [**list_widget_types**](docs/DefaultApi.md#list_widget_types) | **GET** /widget-types | List all widget types
*DefaultApi* | [**load_client_package**](docs/DefaultApi.md#load_client_package) | **POST** /client-packages/load | Imports data for a client into the current environment
*DefaultApi* | [**me**](docs/DefaultApi.md#me) | **GET** /users/me | Get data about the authenticated user
*DefaultApi* | [**query**](docs/DefaultApi.md#query) | **POST** /data-views | Performs an aggregation query against an existing dataset
*DefaultApi* | [**replace_full_page**](docs/DefaultApi.md#replace_full_page) | **PUT** /pages/full/{page_id} | Replaces an existing page by ID
*DefaultApi* | [**replace_page**](docs/DefaultApi.md#replace_page) | **PUT** /pages/{page_id} | Replaces an existing page by ID
*DefaultApi* | [**replace_templated_page**](docs/DefaultApi.md#replace_templated_page) | **PUT** /pages/templated/{page_id} | Replaces from a page template an existing page by ID
*DefaultApi* | [**reset_password**](docs/DefaultApi.md#reset_password) | **POST** /password-resets/{reset_key} | Resets a user&#39;s password to the specified password
*DefaultApi* | [**update_api_key**](docs/DefaultApi.md#update_api_key) | **PATCH** /api-keys/{user_id} | Updates an existing API user
*DefaultApi* | [**update_block_type**](docs/DefaultApi.md#update_block_type) | **PATCH** /block-types/{block_type_id} | Updates an existing block type
*DefaultApi* | [**update_client**](docs/DefaultApi.md#update_client) | **PATCH** /clients/{client_id} | Updates an existing client
*DefaultApi* | [**update_client_setting**](docs/DefaultApi.md#update_client_setting) | **PATCH** /client-settings/client-id-{client_id} | Insert or update new client-specific settings
*DefaultApi* | [**update_dataset**](docs/DefaultApi.md#update_dataset) | **PATCH** /datasets/{dataset_id} | Updates an existing dataset
*DefaultApi* | [**update_geodata**](docs/DefaultApi.md#update_geodata) | **PATCH** /geodata/update | Updates an existing geo type
*DefaultApi* | [**update_goal**](docs/DefaultApi.md#update_goal) | **PATCH** /goals/update-id-{goal_id} | Updates an existing goal
*DefaultApi* | [**update_integration**](docs/DefaultApi.md#update_integration) | **PATCH** /integrations/{integration_id} | Updates an existing integration
*DefaultApi* | [**update_integration_type**](docs/DefaultApi.md#update_integration_type) | **PATCH** /integration-types/{integration_type_id} | Updates an existing integration type
*DefaultApi* | [**update_page_preference**](docs/DefaultApi.md#update_page_preference) | **PATCH** /page-preferences/page-id-{page_id} | Add or update a page preference
*DefaultApi* | [**update_role**](docs/DefaultApi.md#update_role) | **PATCH** /roles/{role_id} | Updates an existing role
*DefaultApi* | [**update_term**](docs/DefaultApi.md#update_term) | **PATCH** /terms/update-id-{term_id} | Updates an existing term
*DefaultApi* | [**update_user**](docs/DefaultApi.md#update_user) | **PATCH** /users/update-id-{user_id} | Updates an existing user
*DefaultApi* | [**update_widget_type**](docs/DefaultApi.md#update_widget_type) | **PATCH** /widget-types/{widget_type_id} | Updates an existing widget type


## Documentation For Models

 - [Activity](docs/Activity.md)
 - [AddMetric](docs/AddMetric.md)
 - [AggregationDatasetTask](docs/AggregationDatasetTask.md)
 - [AggregationParameterizedTask](docs/AggregationParameterizedTask.md)
 - [AggregationTask](docs/AggregationTask.md)
 - [AggregationTaskMetric](docs/AggregationTaskMetric.md)
 - [ApiUser](docs/ApiUser.md)
 - [ArrayExplodeManyTransform](docs/ArrayExplodeManyTransform.md)
 - [ArrayExplodeTransform](docs/ArrayExplodeTransform.md)
 - [ArrayTransform](docs/ArrayTransform.md)
 - [BasePage](docs/BasePage.md)
 - [BaseTemplatedPage](docs/BaseTemplatedPage.md)
 - [BaseUser](docs/BaseUser.md)
 - [BatchReceipt](docs/BatchReceipt.md)
 - [BinomialLogisticRegressionTask](docs/BinomialLogisticRegressionTask.md)
 - [Block](docs/Block.md)
 - [BlockFull](docs/BlockFull.md)
 - [BlockType](docs/BlockType.md)
 - [BooleanBucketFilter](docs/BooleanBucketFilter.md)
 - [BooleanBucketTransform](docs/BooleanBucketTransform.md)
 - [BooleanCastTransform](docs/BooleanCastTransform.md)
 - [BooleanConstantTransform](docs/BooleanConstantTransform.md)
 - [BooleanFilter](docs/BooleanFilter.md)
 - [BooleanTransform](docs/BooleanTransform.md)
 - [Client](docs/Client.md)
 - [ClientFeatures](docs/ClientFeatures.md)
 - [ClientPackage](docs/ClientPackage.md)
 - [ClientSettings](docs/ClientSettings.md)
 - [ClientSettingsUpdate](docs/ClientSettingsUpdate.md)
 - [ClientSso](docs/ClientSso.md)
 - [ClientUpdate](docs/ClientUpdate.md)
 - [CoalesceTransform](docs/CoalesceTransform.md)
 - [CollectionSizeTransform](docs/CollectionSizeTransform.md)
 - [ColumnMapping](docs/ColumnMapping.md)
 - [CountMetric](docs/CountMetric.md)
 - [CreateCustomDatasetTask](docs/CreateCustomDatasetTask.md)
 - [CumulativeMetric](docs/CumulativeMetric.md)
 - [CumulativeMetricOrderBy](docs/CumulativeMetricOrderBy.md)
 - [CumulativeSumMetric](docs/CumulativeSumMetric.md)
 - [DataSelector](docs/DataSelector.md)
 - [DataView](docs/DataView.md)
 - [DataViewBase](docs/DataViewBase.md)
 - [DataViewDimension](docs/DataViewDimension.md)
 - [DataViewFilter](docs/DataViewFilter.md)
 - [DataViewFilterValue](docs/DataViewFilterValue.md)
 - [DataViewInterval](docs/DataViewInterval.md)
 - [DataViewLookup](docs/DataViewLookup.md)
 - [DataViewMetric](docs/DataViewMetric.md)
 - [DataViewMetricCalc](docs/DataViewMetricCalc.md)
 - [DataViewMetricOrderBy](docs/DataViewMetricOrderBy.md)
 - [DataViewMode](docs/DataViewMode.md)
 - [DataViewPeriodToDate](docs/DataViewPeriodToDate.md)
 - [DataViewSort](docs/DataViewSort.md)
 - [Dataset](docs/Dataset.md)
 - [DatasetError](docs/DatasetError.md)
 - [DatasetUpdate](docs/DatasetUpdate.md)
 - [DateDimension](docs/DateDimension.md)
 - [DateTimeFilter](docs/DateTimeFilter.md)
 - [DateTimeFilterComponent](docs/DateTimeFilterComponent.md)
 - [DatetimeConstantTransform](docs/DatetimeConstantTransform.md)
 - [DatetimeCurrentDateTransform](docs/DatetimeCurrentDateTransform.md)
 - [DatetimeCurrentTimestampTransform](docs/DatetimeCurrentTimestampTransform.md)
 - [DatetimeDiffFromColumnDateTransform](docs/DatetimeDiffFromColumnDateTransform.md)
 - [DatetimeDiffFromNowTransform](docs/DatetimeDiffFromNowTransform.md)
 - [DatetimeDiffFromStaticDateTransform](docs/DatetimeDiffFromStaticDateTransform.md)
 - [DatetimeDiffTransform](docs/DatetimeDiffTransform.md)
 - [DatetimeFormatTransform](docs/DatetimeFormatTransform.md)
 - [DatetimeOffsetColumnValueTransform](docs/DatetimeOffsetColumnValueTransform.md)
 - [DatetimeOffsetStaticValueTransform](docs/DatetimeOffsetStaticValueTransform.md)
 - [DatetimeOffsetTransform](docs/DatetimeOffsetTransform.md)
 - [DatetimeRangeTransform](docs/DatetimeRangeTransform.md)
 - [DatetimeSelectTransform](docs/DatetimeSelectTransform.md)
 - [DatetimeTransform](docs/DatetimeTransform.md)
 - [Dimension](docs/Dimension.md)
 - [DivideMetric](docs/DivideMetric.md)
 - [Download](docs/Download.md)
 - [DownloadError](docs/DownloadError.md)
 - [DropTransform](docs/DropTransform.md)
 - [DruidWriteConfig](docs/DruidWriteConfig.md)
 - [EntityBatch](docs/EntityBatch.md)
 - [EntityBatchHealth](docs/EntityBatchHealth.md)
 - [Filter](docs/Filter.md)
 - [FilterMap](docs/FilterMap.md)
 - [FilterPreset](docs/FilterPreset.md)
 - [GeoData](docs/GeoData.md)
 - [Goal](docs/Goal.md)
 - [GoalFilter](docs/GoalFilter.md)
 - [IndividualDataSelector](docs/IndividualDataSelector.md)
 - [Integration](docs/Integration.md)
 - [IntegrationBatchHistoryReceipt](docs/IntegrationBatchHistoryReceipt.md)
 - [IntegrationDataset](docs/IntegrationDataset.md)
 - [IntegrationSyncHistoryReceipt](docs/IntegrationSyncHistoryReceipt.md)
 - [IntegrationType](docs/IntegrationType.md)
 - [IntegrationTypeUpdate](docs/IntegrationTypeUpdate.md)
 - [IntegrationUpdate](docs/IntegrationUpdate.md)
 - [Job](docs/Job.md)
 - [JobOverview](docs/JobOverview.md)
 - [Join](docs/Join.md)
 - [JoinRelationship](docs/JoinRelationship.md)
 - [LoaderSettings](docs/LoaderSettings.md)
 - [MapExplodeManyTransform](docs/MapExplodeManyTransform.md)
 - [MapExplodeTransform](docs/MapExplodeTransform.md)
 - [MapTransform](docs/MapTransform.md)
 - [MultiplyMetric](docs/MultiplyMetric.md)
 - [NonNullFilter](docs/NonNullFilter.md)
 - [NormalUser](docs/NormalUser.md)
 - [NotifyUser](docs/NotifyUser.md)
 - [NumberBinaryTransform](docs/NumberBinaryTransform.md)
 - [NumberBinaryValueTransform](docs/NumberBinaryValueTransform.md)
 - [NumberBucketFilter](docs/NumberBucketFilter.md)
 - [NumberBucketTransform](docs/NumberBucketTransform.md)
 - [NumberCastTransform](docs/NumberCastTransform.md)
 - [NumberConstantTransform](docs/NumberConstantTransform.md)
 - [NumberDefaultTransform](docs/NumberDefaultTransform.md)
 - [NumberFilter](docs/NumberFilter.md)
 - [NumberTransform](docs/NumberTransform.md)
 - [NumberUnaryTransform](docs/NumberUnaryTransform.md)
 - [OrFilter](docs/OrFilter.md)
 - [Page](docs/Page.md)
 - [PageFilterPreferences](docs/PageFilterPreferences.md)
 - [PageFull](docs/PageFull.md)
 - [PagePreferences](docs/PagePreferences.md)
 - [PagePreferencesUpdate](docs/PagePreferencesUpdate.md)
 - [PageTemplate](docs/PageTemplate.md)
 - [PageTemplateUpdate](docs/PageTemplateUpdate.md)
 - [PageView](docs/PageView.md)
 - [PartnerBatch](docs/PartnerBatch.md)
 - [PartnerPostData](docs/PartnerPostData.md)
 - [PasswordChangeRequest](docs/PasswordChangeRequest.md)
 - [PasswordResetChange](docs/PasswordResetChange.md)
 - [PasswordResetRequest](docs/PasswordResetRequest.md)
 - [PercentileLookupMetric](docs/PercentileLookupMetric.md)
 - [PostData](docs/PostData.md)
 - [RefreshInterval](docs/RefreshInterval.md)
 - [RefreshSchedule](docs/RefreshSchedule.md)
 - [RefreshState](docs/RefreshState.md)
 - [RenameTransform](docs/RenameTransform.md)
 - [Role](docs/Role.md)
 - [RolePermission](docs/RolePermission.md)
 - [RoleUpdate](docs/RoleUpdate.md)
 - [SarimaxDatasetTask](docs/SarimaxDatasetTask.md)
 - [SarimaxTask](docs/SarimaxTask.md)
 - [SarimaxTaskMetric](docs/SarimaxTaskMetric.md)
 - [Schema](docs/Schema.md)
 - [SchemaField](docs/SchemaField.md)
 - [SchemaFieldMetadata](docs/SchemaFieldMetadata.md)
 - [SchemaSchema](docs/SchemaSchema.md)
 - [SettingsSpec](docs/SettingsSpec.md)
 - [StringBucketFilter](docs/StringBucketFilter.md)
 - [StringBucketTransform](docs/StringBucketTransform.md)
 - [StringCasingTransform](docs/StringCasingTransform.md)
 - [StringConstantTransform](docs/StringConstantTransform.md)
 - [StringDefaultTransform](docs/StringDefaultTransform.md)
 - [StringDistanceTransform](docs/StringDistanceTransform.md)
 - [StringExtractUrlComponentTransform](docs/StringExtractUrlComponentTransform.md)
 - [StringFilter](docs/StringFilter.md)
 - [StringFormatTransform](docs/StringFormatTransform.md)
 - [StringLookupStateTransform](docs/StringLookupStateTransform.md)
 - [StringRegexpExtractTransform](docs/StringRegexpExtractTransform.md)
 - [StringRegexpReplaceTransform](docs/StringRegexpReplaceTransform.md)
 - [StringSoundexTransform](docs/StringSoundexTransform.md)
 - [StringSplitTransform](docs/StringSplitTransform.md)
 - [StringSubstringIndexTransform](docs/StringSubstringIndexTransform.md)
 - [StringSubstringTransform](docs/StringSubstringTransform.md)
 - [StringToDatetimeTransform](docs/StringToDatetimeTransform.md)
 - [StringToNumTransform](docs/StringToNumTransform.md)
 - [StringTransform](docs/StringTransform.md)
 - [StringTrimTransform](docs/StringTrimTransform.md)
 - [SubNav](docs/SubNav.md)
 - [SubtractMetric](docs/SubtractMetric.md)
 - [TemplatedPage](docs/TemplatedPage.md)
 - [Term](docs/Term.md)
 - [TimeStepAggregationDatasetTask](docs/TimeStepAggregationDatasetTask.md)
 - [TimeStepAggregationTask](docs/TimeStepAggregationTask.md)
 - [TimeStepDifferenceMetric](docs/TimeStepDifferenceMetric.md)
 - [TimeStepGrowthRateMetric](docs/TimeStepGrowthRateMetric.md)
 - [TimeStepMetric](docs/TimeStepMetric.md)
 - [TimeStepMetricDatasetTask](docs/TimeStepMetricDatasetTask.md)
 - [TimeStepMetricTask](docs/TimeStepMetricTask.md)
 - [TimeStepMode](docs/TimeStepMode.md)
 - [TimeStepNetforumStatsMetric](docs/TimeStepNetforumStatsMetric.md)
 - [TimeStepRenewalRateMetric](docs/TimeStepRenewalRateMetric.md)
 - [TopNDatasetTask](docs/TopNDatasetTask.md)
 - [TopNTask](docs/TopNTask.md)
 - [TopNTaskPartition](docs/TopNTaskPartition.md)
 - [TopNTaskSort](docs/TopNTaskSort.md)
 - [Transform](docs/Transform.md)
 - [UnaryMetric](docs/UnaryMetric.md)
 - [UpdateApiUser](docs/UpdateApiUser.md)
 - [UpdateUser](docs/UpdateUser.md)
 - [UserActivation](docs/UserActivation.md)
 - [UserRole](docs/UserRole.md)
 - [View](docs/View.md)
 - [ViewError](docs/ViewError.md)
 - [VirtualUser](docs/VirtualUser.md)
 - [Widget](docs/Widget.md)
 - [WidgetFull](docs/WidgetFull.md)
 - [WidgetType](docs/WidgetType.md)
 - [WriteConfig](docs/WriteConfig.md)
 - [WriteConfigDruidOverride](docs/WriteConfigDruidOverride.md)
 - [WriteConfigOverride](docs/WriteConfigOverride.md)


## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

## basic

- **Type**: HTTP basic authentication

## jwt

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

## oauth2

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author




